Page MenuHomePhabricator

Can't enable ores role in vagrant
Open, LowPublic

Description

Trying to enable "ores" role in vagrant, and getting this output:

[10/05/17 15:47:46] moriel:~/code/vagrant/mediawiki (master)$ vagrant provision
==> default: Running provisioner: lsb_check...
==> default: Running provisioner: shell...
    default: Running: /tmp/vagrant-shell20171005-5566-1a3igmc.sh
==> default: Running provisioner: puppet...
==> default: Running Puppet with site.pp...
==> default: Info: Loading facts
==> default: Notice: Compiled catalog for mediawiki-vagrant.dev in environment production in 7.44 seconds
==> default: Info: Applying configuration version '1507243875.f2fb4185'
==> default: Notice: /Stage[main]/Npm/Exec[downgrade_npm]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki/File[/vagrant/settings.d/puppet-managed/10-ORES.php]/ensure: removed
==> default: Notice: /Stage[main]/Parsoid/Service::Node[parsoid]/File[/vagrant/logs/parsoid.log]/owner: owner changed 'www-data' to 'vagrant'
==> default: Notice: /Stage[main]/Citoid/Service::Node[citoid]/File[/vagrant/logs/citoid.log]/owner: owner changed 'www-data' to 'vagrant'
==> default: Notice: /Stage[main]/Changeprop/Service::Node[changeprop]/File[/vagrant/logs/changeprop.log]/owner: owner changed 'www-data' to 'vagrant'
==> default: Notice: /Stage[main]/Restbase/Service::Node[restbase]/File[/vagrant/logs/restbase.log]/owner: owner changed 'www-data' to 'vagrant'
==> default: Notice: Finished catalog run in 51.75 seconds
[10/05/17 15:52:17] moriel:~/code/vagrant/mediawiki (master)$ vagrant roles enable ores
Ok. Run `vagrant provision` to apply your changes.
[10/05/17 15:58:12] moriel:~/code/vagrant/mediawiki (master)$ vagrant provision
==> default: Running provisioner: lsb_check...
==> default: Running provisioner: shell...
    default: Running: /tmp/vagrant-shell20171005-6445-1q11dec.sh
==> default: Running provisioner: puppet...
==> default: Running Puppet with site.pp...
==> default: Info: Loading facts
==> default: Notice: Compiled catalog for mediawiki-vagrant.dev in environment production in 7.55 seconds
==> default: Info: Applying configuration version '1507244334.f2fb4185'
==> default: Notice: /Stage[main]/Npm/Exec[downgrade_npm]/returns: executed successfully
==> default: Notice: /Stage[main]/Parsoid/Service::Node[parsoid]/File[/vagrant/logs/parsoid.log]/owner: owner changed 'www-data' to 'vagrant'
==> default: Notice: /Stage[main]/Citoid/Service::Node[citoid]/File[/vagrant/logs/citoid.log]/owner: owner changed 'www-data' to 'vagrant'
==> default: Notice: /Stage[main]/Changeprop/Service::Node[changeprop]/File[/vagrant/logs/changeprop.log]/owner: owner changed 'www-data' to 'vagrant'
==> default: Notice: /Stage[main]/Restbase/Service::Node[restbase]/File[/vagrant/logs/restbase.log]/owner: owner changed 'www-data' to 'vagrant'
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Extension[ORES]/Mediawiki::Settings[ORES]/File[/vagrant/settings.d/puppet-managed/10-ORES.php]/ensure: created
==> default: Info: Mediawiki::Settings[ORES]: Scheduling refresh of Exec[update_all_databases]
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: centralauthtestwiki
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: centralauthtestwiki:  #!/usr/bin/env php
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: centralauthtestwiki:  MediaWiki 1.31.0-alpha Updater
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: centralauthtestwiki:  
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: centralauthtestwiki:  oojs/oojs-ui: 0.23.0 installed, 0.23.3 required.
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: Error: your composer.lock file is not up to date. Run "composer update" to install newer dependencies
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: enwiki
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: enwiki:  #!/usr/bin/env php
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: enwiki:  MediaWiki 1.31.0-alpha Updater
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: enwiki:  
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: Error: your composer.lock file is not up to date. Run "composer update" to install newer dependencies
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: enwiki:  oojs/oojs-ui: 0.23.0 installed, 0.23.3 required.
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: eswiki
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: eswiki:  #!/usr/bin/env php
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: eswiki:  MediaWiki 1.31.0-alpha Updater
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: eswiki:  
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: Error: your composer.lock file is not up to date. Run "composer update" to install newer dependencies
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: eswiki:  oojs/oojs-ui: 0.23.0 installed, 0.23.3 required.
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: frwiki
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: frwiki:  #!/usr/bin/env php
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: frwiki:  MediaWiki 1.31.0-alpha Updater
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: frwiki:  
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: Error: your composer.lock file is not up to date. Run "composer update" to install newer dependencies
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: frwiki:  oojs/oojs-ui: 0.23.0 installed, 0.23.3 required.
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: frwiktionarywiki
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: frwiktionarywiki:  #!/usr/bin/env php
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: frwiktionarywiki:  MediaWiki 1.31.0-alpha Updater
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: frwiktionarywiki:  
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: Error: your composer.lock file is not up to date. Run "composer update" to install newer dependencies
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: frwiktionarywiki:  oojs/oojs-ui: 0.23.0 installed, 0.23.3 required.
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: hewiki
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: hewiki:  #!/usr/bin/env php
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: hewiki:  MediaWiki 1.31.0-alpha Updater
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: hewiki:  
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: hewiki:  oojs/oojs-ui: 0.23.0 installed, 0.23.3 required.
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: Error: your composer.lock file is not up to date. Run "composer update" to install newer dependencies
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: loginwiki
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: loginwiki:  #!/usr/bin/env php
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: loginwiki:  MediaWiki 1.31.0-alpha Updater
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: loginwiki:  
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: loginwiki:  oojs/oojs-ui: 0.23.0 installed, 0.23.3 required.
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: Error: your composer.lock file is not up to date. Run "composer update" to install newer dependencies
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: ruwiki
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: ruwiki:  #!/usr/bin/env php
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: ruwiki:  MediaWiki 1.31.0-alpha Updater
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: ruwiki:  
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: ruwiki:  oojs/oojs-ui: 0.23.0 installed, 0.23.3 required.
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: Error: your composer.lock file is not up to date. Run "composer update" to install newer dependencies
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: wiki
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: wiki:  #!/usr/bin/env php
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: wiki:  MediaWiki 1.31.0-alpha Updater
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: wiki:  
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: wiki:  oojs/oojs-ui: 0.23.0 installed, 0.23.3 required.
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: Error: your composer.lock file is not up to date. Run "composer update" to install newer dependencies
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: zhwiki
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: zhwiki:  #!/usr/bin/env php
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: zhwiki:  MediaWiki 1.31.0-alpha Updater
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: zhwiki:  
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: zhwiki:  oojs/oojs-ui: 0.23.0 installed, 0.23.3 required.
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: Error: your composer.lock file is not up to date. Run "composer update" to install newer dependencies
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: zhwikivoyagewiki
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: -----------------------------------------------------------------
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: zhwikivoyagewiki:  #!/usr/bin/env php
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: zhwikivoyagewiki:  MediaWiki 1.31.0-alpha Updater
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: zhwikivoyagewiki:  
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: zhwikivoyagewiki:  oojs/oojs-ui: 0.23.0 installed, 0.23.3 required.
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: Error: your composer.lock file is not up to date. Run "composer update" to install newer dependencies
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: 11 wikis failed.
==> default: Error: /Stage[main]/Mediawiki/Exec[update_all_databases]: Failed to call refresh: /usr/local/bin/foreachwiki update.php --quick --doshared returned 1 instead of one of [0]
==> default: Error: /Stage[main]/Mediawiki/Exec[update_all_databases]: /usr/local/bin/foreachwiki update.php --quick --doshared returned 1 instead of one of [0]
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Maintenance[check ORES model versions]/Exec[check ORES model versions]/returns: Starting...[3ad98b037b5f158a6df771f9] [no req]   Wikimedia\Rdbms\DBQueryError from line 1167 of /vagrant/mediawiki/includes/libs/rdbms/database/Database.php: A database query error has occurred. Did you forget to run your application's database schema updater after upgrading? 
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Maintenance[check ORES model versions]/Exec[check ORES model versions]/returns: Query: UPDATE  `ores_model` SET oresm_is_current = '0' WHERE oresm_name = 'damaging' AND (oresm_version != '0.0.3')
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Maintenance[check ORES model versions]/Exec[check ORES model versions]/returns: Function: ORES\CheckModelVersions::execute
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Maintenance[check ORES model versions]/Exec[check ORES model versions]/returns: Error: 1146 Table 'wiki.ores_model' doesn't exist (127.0.0.1)
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Maintenance[check ORES model versions]/Exec[check ORES model versions]/returns: 
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Maintenance[check ORES model versions]/Exec[check ORES model versions]/returns: Backtrace:
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Maintenance[check ORES model versions]/Exec[check ORES model versions]/returns: #0 /vagrant/mediawiki/includes/libs/rdbms/database/Database.php(979): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Maintenance[check ORES model versions]/Exec[check ORES model versions]/returns: #1 /vagrant/mediawiki/includes/libs/rdbms/database/Database.php(1652): Wikimedia\Rdbms\Database->query(string, string)
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Maintenance[check ORES model versions]/Exec[check ORES model versions]/returns: #2 /vagrant/mediawiki/extensions/ORES/maintenance/CheckModelVersions.php(37): Wikimedia\Rdbms\Database->update(string, array, array, string)
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Maintenance[check ORES model versions]/Exec[check ORES model versions]/returns: #3 /vagrant/mediawiki/maintenance/doMaintenance.php(92): ORES\CheckModelVersions->execute()
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Maintenance[check ORES model versions]/Exec[check ORES model versions]/returns: #4 /vagrant/mediawiki/extensions/ORES/maintenance/CheckModelVersions.php(78): require_once(string)
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Maintenance[check ORES model versions]/Exec[check ORES model versions]/returns: #5 /var/www/w/MWScript.php(95): require_once(string)
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Maintenance[check ORES model versions]/Exec[check ORES model versions]/returns: #6 {main}
==> default: Error: /usr/local/bin/mwscript extensions/ORES/maintenance/CheckModelVersions.php --wiki=wiki returned 255 instead of one of [0]
==> default: Error: /Stage[main]/Role::Ores/Mediawiki::Maintenance[check ORES model versions]/Exec[check ORES model versions]/returns: change from notrun to 0 failed: /usr/local/bin/mwscript extensions/ORES/maintenance/CheckModelVersions.php --wiki=wiki returned 255 instead of one of [0]
==> default: Notice: Finished catalog run in 42.79 seconds
The SSH command responded with a non-zero exit status. Vagrant
assumes that this means the command failed. The output for this command
should be in the log above. Please read the output to determine what
went wrong.

(note the update.php DB error)

And, not surprisingly, trying to load the Watchlist (with rcfilters' enabled, for ORES support) results in this error:

[73e7c65a9e0865c7a15b016c] /wiki/Special:Watchlist Wikimedia\Rdbms\DBQueryError from line 1167 of /vagrant/mediawiki/includes/libs/rdbms/database/Database.php: A database query error has occurred. Did you forget to run your application's database schema updater after upgrading?
Query: SELECT rc_id,rc_timestamp,rc_user,rc_user_text,rc_namespace,rc_title,rc_minor,rc_bot,rc_new,rc_cur_id,rc_this_oldid,rc_last_oldid,rc_type,rc_source,rc_patrolled,rc_ip,rc_old_len,rc_new_len,rc_deleted,rc_logid,rc_log_type,rc_log_action,rc_params,rc_comment AS `rc_comment_text`,NULL AS `rc_comment_data`,NULL AS `rc_comment_cid`,page_latest,wl_notificationtimestamp,(SELECT GROUP_CONCAT(ct_tag SEPARATOR ',') FROM `change_tag` WHERE ct_rc_id=rc_id ) AS `ts_tags`,ores_damaging_cls.oresc_probability AS `ores_damaging_score`,ores_goodfaith_cls.oresc_probability AS `ores_goodfaith_score` FROM `recentchanges` INNER JOIN `watchlist` ON (wl_user = '1' AND (wl_namespace=rc_namespace) AND (wl_title=rc_title)) LEFT JOIN `page` ON ((rc_cur_id=page_id)) LEFT JOIN `ores_model` `ores_damaging_mdl` ON (ores_damaging_mdl.oresm_is_current = '1' AND ores_damaging_mdl.oresm_name = 'damaging') LEFT JOIN `ores_classification` `ores_damaging_cls` ON ((ores_damaging_cls.oresc_model = ores_damaging_mdl.oresm_id) AND (rc_this_oldid = ores_damaging_cls.oresc_rev) AND ores_damaging_cls.oresc_class = '1') LEFT JOIN `ores_model` `ores_goodfaith_mdl` ON (ores_goodfaith_mdl.oresm_is_current = '1' AND ores_goodfaith_mdl.oresm_name = 'goodfaith') LEFT JOIN `ores_classification` `ores_goodfaith_cls` ON ((ores_goodfaith_cls.oresc_model = ores_goodfaith_mdl.oresm_id) AND (rc_this_oldid = ores_goodfaith_cls.oresc_rev) AND ores_goodfaith_cls.oresc_class = '1') WHERE (rc_type != '6') AND (rc_timestamp >= '20171002224736') ORDER BY rc_timestamp DESC LIMIT 250
Function: SpecialWatchlist::doMainQuery
Error: 1146 Table 'wiki.ores_model' doesn't exist (127.0.0.1)
Backtrace:
 
#0 /vagrant/mediawiki/includes/libs/rdbms/database/Database.php(979): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
#1 /vagrant/mediawiki/includes/libs/rdbms/database/Database.php(1362): Wikimedia\Rdbms\Database->query(string, string)
#2 /vagrant/mediawiki/includes/specials/SpecialWatchlist.php(446): Wikimedia\Rdbms\Database->select(array, array, array, string, array, array)
#3 /vagrant/mediawiki/includes/specialpage/ChangesListSpecialPage.php(809): SpecialWatchlist->doMainQuery(array, array, array, array, array, FormOptions)
#4 /vagrant/mediawiki/includes/specialpage/ChangesListSpecialPage.php(545): ChangesListSpecialPage->getRows()
#5 /vagrant/mediawiki/includes/specials/SpecialWatchlist.php(99): ChangesListSpecialPage->execute(NULL)
#6 /vagrant/mediawiki/includes/specialpage/SpecialPage.php(522): SpecialWatchlist->execute(NULL)
#7 /vagrant/mediawiki/includes/specialpage/SpecialPageFactory.php(578): SpecialPage->run(NULL)
#8 /vagrant/mediawiki/includes/MediaWiki.php(287): SpecialPageFactory::executePath(Title, RequestContext)
#9 /vagrant/mediawiki/includes/MediaWiki.php(851): MediaWiki->performRequest()
#10 /vagrant/mediawiki/includes/MediaWiki.php(523): MediaWiki->main()
#11 /vagrant/mediawiki/index.php(43): MediaWiki->run()
#12 /var/www/w/index.php(5): include(string)
#13 {main}

I tried several times, enabling, disabling, reprovisioning, and reloading vagrant. None works.

I'm not sure which project to attached this to, if this is an ORES problem or a vagrant problem. I attached both, hoping for someone to see it :)

Event Timeline

Mooeypoo created this task.Oct 5 2017, 11:03 PM
Restricted Application added a project: Scoring-platform-team. · View Herald TranscriptOct 5 2017, 11:03 PM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald Transcript
Reedy added a subscriber: Reedy.EditedOct 5 2017, 11:26 PM

Have you done a vagrant git-update recently? Is it working successfully?

The problem doesn't look to be ores, it looks to be vagrant; it's not running composer update to update your vendor repo, hence all the errors

> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: Error: your composer.lock file is not up to date. Run "composer update" to install newer dependencies

I manually updated composer afterwards in vagrant-ssh, and then ran foreachwiki update.php --quick and added the wg variables for ORES and it still didn't work -- but git-update is a good point that I completely forgot.

I'll run it and update the ticket accordingly (and thanks for the quick reply!)

Halfak triaged this task as Low priority.Oct 9 2017, 9:09 PM
Halfak moved this task from Untriaged to Maintenance/cleanup on the Scoring-platform-team board.
Mooeypoo added a comment.EditedOct 9 2017, 10:50 PM

Sorry, update:

I ran git-update and disabled and then re-enabled the role (vagrant provision in between of course)

Good news: My system doesn't crash anymore.
Bad news: No sign of ORES. (folder and files are there, but it doesn't seem to actually work on the wiki)

Is it even enabled? Special:Verison?

On a new vagrant wiki...

==> default: Notice: /Stage[main]/Role::Betafeatures/Mediawiki::Extension[BetaFeatures]/Git::Clone[mediawiki/extensions/BetaFeatures]/File[/vagrant/mediawiki/extensions/BetaFeatures]/ensure: created
==> default: Notice: /Stage[main]/Role::Betafeatures/Mediawiki::Extension[BetaFeatures]/Git::Clone[mediawiki/extensions/BetaFeatures]/Exec[git_clone_mediawiki/extensions/BetaFeatures]/returns: executed successfully
==> default: Notice: /Stage[main]/Role::Betafeatures/Mediawiki::Extension[BetaFeatures]/Mediawiki::Settings[BetaFeatures]/File[/vagrant/settings.d/puppet-managed/05-BetaFeatures.php]/ensure: created
==> default: Info: Mediawiki::Settings[BetaFeatures]: Scheduling refresh of Exec[update_all_databases]
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Extension[ORES]/Git::Clone[mediawiki/extensions/ORES]/File[/vagrant/mediawiki/extensions/ORES]/ensure: created
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Extension[ORES]/Git::Clone[mediawiki/extensions/ORES]/Exec[git_clone_mediawiki/extensions/ORES]/returns: executed successfully
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Extension[ORES]/Mediawiki::Settings[ORES]/File[/vagrant/settings.d/puppet-managed/10-ORES.php]/ensure: created
==> default: Info: Mediawiki::Settings[ORES]: Scheduling refresh of Exec[update_all_databases]
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]: Triggered 'refresh' from 2 events
==> default: Notice: /Stage[main]/Role::Ores/Mediawiki::Maintenance[check ORES model versions]/Exec[check ORES model versions]/returns: executed successfully

And then it's in Special:Version

In your vagrant dir.. Do you have a settings.d/puppet-managed/10-ORES.php file?

Sau226 updated the task description. (Show Details)Mar 1 2018, 5:25 PM

Is it still valid?